summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--source/d/binutils/patches/binutils-readelf-other-sym-info.patch21
-rw-r--r--source/d/cmake/cmake.url2
-rwxr-xr-xsource/d/oprofile/oprofile.SlackBuild2
-rw-r--r--source/d/strace/strace.url2
-rw-r--r--source/kde/kde/build/digikam2
-rw-r--r--source/l/gmime/gmime.url1
-rw-r--r--source/l/lmdb/lmdb-make.patch17
-rw-r--r--source/l/lmdb/lmdb.url2
-rwxr-xr-xsource/l/neon/neon.SlackBuild2
-rwxr-xr-xsource/l/opencv/opencv.SlackBuild2
-rwxr-xr-xsource/l/qt5/qt5.SlackBuild2
-rwxr-xr-xsource/n/openldap/openldap.SlackBuild2
-rwxr-xr-xsource/xap/MPlayer/MPlayer.SlackBuild41
-rw-r--r--source/xap/MPlayer/po_charset.patch12
-rwxr-xr-xsource/xap/xine-lib/xine-lib.SlackBuild2
15 files changed, 57 insertions, 55 deletions
diff --git a/source/d/binutils/patches/binutils-readelf-other-sym-info.patch b/source/d/binutils/patches/binutils-readelf-other-sym-info.patch
index 72913bac6..f45bfe340 100644
--- a/source/d/binutils/patches/binutils-readelf-other-sym-info.patch
+++ b/source/d/binutils/patches/binutils-readelf-other-sym-info.patch
@@ -1,35 +1,34 @@
---- binutils.orig/binutils/readelf.c 2020-07-24 15:08:30.317597020 +0100
-+++ binutils-2.35/binutils/readelf.c 2020-07-24 15:09:39.029155552 +0100
-@@ -12069,11 +12069,13 @@ print_dynamic_symbol (Filedata *filedata
+--- ./binutils/readelf.c.orig 2024-01-28 18:00:00.000000000 -0600
++++ ./binutils/readelf.c 2024-01-29 13:46:17.699015450 -0600
+@@ -13680,12 +13680,13 @@
unsigned int vis = ELF_ST_VISIBILITY (psym->st_other);
printf (" %-7s", get_symbol_visibility (vis));
+-
+#if 0
/* Check to see if any other bits in the st_other field are set.
- Note - displaying this information disrupts the layout of the
- table being generated, but for the moment this case is very rare. */
+ FIXME: Displaying this information here disrupts the layout
+ of the table being generated. */
if (psym->st_other ^ vis)
printf (" [%s] ", get_symbol_other (filedata, psym->st_other ^ vis));
+#endif
}
- printf (" %4s ", get_symbol_index_type (filedata, psym->st_shndx));
-@@ -12112,7 +12114,17 @@ print_dynamic_symbol (Filedata *filedata
+ bool is_special;
+@@ -13770,6 +13771,16 @@
version_string);
}
-- putchar ('\n');
+#if 1
+ {
+ unsigned int vis = ELF_ST_VISIBILITY (psym->st_other);
+
+ /* Check to see if any other bits in the st_other field are set. */
+ if (psym->st_other ^ vis)
-+ printf (" \t[%s]", get_symbol_other (filedata, psym->st_other ^ vis));
++ printf (" \t[%s]", get_symbol_other (filedata, psym->st_other ^ vis));
+ }
+#endif
+
-+ putchar ('\n');
+ putchar ('\n');
if (ELF_ST_BIND (psym->st_info) == STB_LOCAL
- && section != NULL
diff --git a/source/d/cmake/cmake.url b/source/d/cmake/cmake.url
index 6d854ff2f..e49c5a341 100644
--- a/source/d/cmake/cmake.url
+++ b/source/d/cmake/cmake.url
@@ -1,2 +1,2 @@
https://github.com/Kitware/CMake/releases
-https://github.com/Kitware/CMake/releases/download/v3.28.1/cmake-3.28.1.tar.gz
+https://github.com/Kitware/CMake/releases/download/v3.28.2/cmake-3.28.2.tar.gz
diff --git a/source/d/oprofile/oprofile.SlackBuild b/source/d/oprofile/oprofile.SlackBuild
index e8e55b87b..d9d3e46a4 100755
--- a/source/d/oprofile/oprofile.SlackBuild
+++ b/source/d/oprofile/oprofile.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=oprofile
VERSION=${VERSION:-$(echo oprofile-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-12}
+BUILD=${BUILD:-13}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
diff --git a/source/d/strace/strace.url b/source/d/strace/strace.url
index 610cfbbfe..d41382895 100644
--- a/source/d/strace/strace.url
+++ b/source/d/strace/strace.url
@@ -1,2 +1,2 @@
https://github.com/strace/strace
-https://github.com/strace/strace/releases/download/v6.6/strace-6.6.tar.xz
+https://github.com/strace/strace/releases/download/v6.7/strace-6.7.tar.xz
diff --git a/source/kde/kde/build/digikam b/source/kde/kde/build/digikam
index b8626c4cf..7ed6ff82d 100644
--- a/source/kde/kde/build/digikam
+++ b/source/kde/kde/build/digikam
@@ -1 +1 @@
-4
+5
diff --git a/source/l/gmime/gmime.url b/source/l/gmime/gmime.url
index 49a2db83f..92b3e8877 100644
--- a/source/l/gmime/gmime.url
+++ b/source/l/gmime/gmime.url
@@ -1 +1,2 @@
https://github.com/jstedfast/gmime
+https://github.com/jstedfast/gmime/releases/download/3.2.14/gmime-3.2.14.tar.xz
diff --git a/source/l/lmdb/lmdb-make.patch b/source/l/lmdb/lmdb-make.patch
index eca03ef39..3820d9895 100644
--- a/source/l/lmdb/lmdb-make.patch
+++ b/source/l/lmdb/lmdb-make.patch
@@ -1,7 +1,6 @@
-diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile
---- lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig 2017-01-04 12:14:24.303344915 +0100
-+++ lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile 2017-01-04 12:19:20.190295319 +0100
-@@ -26,6 +26,7 @@ OPT = -O2 -g
+--- ./libraries/liblmdb/Makefile.orig 2024-01-29 12:20:26.000000000 -0600
++++ ./libraries/liblmdb/Makefile 2024-01-30 14:47:39.726061869 -0600
+@@ -26,6 +26,7 @@
CFLAGS = $(THREADS) $(OPT) $(W) $(XCFLAGS)
LDLIBS =
SOLIBS =
@@ -9,7 +8,7 @@ diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libra
SOEXT = .so
prefix = /usr/local
exec_prefix = $(prefix)
-@@ -38,7 +39,7 @@ mandir = $(datarootdir)/man
+@@ -38,7 +39,7 @@
########################################################################
IHDRS = lmdb.h
@@ -18,7 +17,7 @@ diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libra
IPROGS = mdb_stat mdb_copy mdb_dump mdb_load
IDOCS = mdb_stat.1 mdb_copy.1 mdb_dump.1 mdb_load.1
PROGS = $(IPROGS) mtest mtest2 mtest3 mtest4 mtest5
-@@ -49,13 +50,13 @@ install: $(ILIBS) $(IPROGS) $(IHDRS)
+@@ -49,13 +50,13 @@
mkdir -p $(DESTDIR)$(libdir)
mkdir -p $(DESTDIR)$(includedir)
mkdir -p $(DESTDIR)$(mandir)/man1
@@ -37,7 +36,7 @@ diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libra
test: all
rm -rf testdb && mkdir testdb
-@@ -64,20 +65,24 @@ test: all
+@@ -64,21 +65,25 @@
liblmdb.a: mdb.o midl.o
$(AR) rs $@ mdb.o midl.o
@@ -46,7 +45,7 @@ diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libra
+ rm -f $@
+ ln -s $< $@
+
-+liblmdb$(SOEXT).$(SOVERSION): mdb.lo midl.lo
++liblmdb$(SOEXT).$(SOVERSION): mdb.lo midl.lo
# $(CC) $(LDFLAGS) -pthread -shared -Wl,-Bsymbolic -o $@ mdb.o midl.o $(SOLIBS)
- $(CC) $(LDFLAGS) -pthread -shared -o $@ mdb.lo midl.lo $(SOLIBS)
+ $(CC) $(LDFLAGS) -pthread -shared -Wl,-soname,$@ -o $@ mdb.lo midl.lo $(SOLIBS)
@@ -61,6 +60,7 @@ diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libra
-mtest4: mtest4.o liblmdb.a
-mtest5: mtest5.o liblmdb.a
-mtest6: mtest6.o liblmdb.a
+-mplay: mplay.o liblmdb.a
+mdb_stat: mdb_stat.o liblmdb.so
+mdb_copy: mdb_copy.o liblmdb.so
+mdb_dump: mdb_dump.o liblmdb.so
@@ -71,6 +71,7 @@ diff -up lmdb-LMDB_0.9.19/libraries/liblmdb/Makefile.orig lmdb-LMDB_0.9.19/libra
+mtest4: mtest4.o liblmdb.so
+mtest5: mtest5.o liblmdb.so
+mtest6: mtest6.o liblmdb.so
++mplay: mplay.o liblmdb.so
mdb.o: mdb.c lmdb.h midl.h
$(CC) $(CFLAGS) $(CPPFLAGS) -c mdb.c
diff --git a/source/l/lmdb/lmdb.url b/source/l/lmdb/lmdb.url
index 815959c4b..191ce7736 100644
--- a/source/l/lmdb/lmdb.url
+++ b/source/l/lmdb/lmdb.url
@@ -1,2 +1,2 @@
#https://github.com/LMDB/lmdb
-https://git.openldap.org/openldap/openldap/-/archive/LMDB_0.9.31/openldap-LMDB_0.9.31.tar.gz
+https://git.openldap.org/openldap/openldap/-/archive/LMDB_0.9.32/openldap-LMDB_0.9.32.tar.gz
diff --git a/source/l/neon/neon.SlackBuild b/source/l/neon/neon.SlackBuild
index 0d7becd37..10d9b2e1b 100755
--- a/source/l/neon/neon.SlackBuild
+++ b/source/l/neon/neon.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=neon
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/opencv/opencv.SlackBuild b/source/l/opencv/opencv.SlackBuild
index 179c7bfc4..0a542b2a7 100755
--- a/source/l/opencv/opencv.SlackBuild
+++ b/source/l/opencv/opencv.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=opencv
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/qt5/qt5.SlackBuild b/source/l/qt5/qt5.SlackBuild
index 941530891..e99b99a97 100755
--- a/source/l/qt5/qt5.SlackBuild
+++ b/source/l/qt5/qt5.SlackBuild
@@ -31,7 +31,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=qt5
VERSION=$(ls qt-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
PKGSRC=$(echo $VERSION | cut -d - -f 1)
PKGVER=$(echo $VERSION | tr - _)
diff --git a/source/n/openldap/openldap.SlackBuild b/source/n/openldap/openldap.SlackBuild
index d49e6f9df..4eab73442 100755
--- a/source/n/openldap/openldap.SlackBuild
+++ b/source/n/openldap/openldap.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=openldap
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/xap/MPlayer/MPlayer.SlackBuild b/source/xap/MPlayer/MPlayer.SlackBuild
index 891497582..0c543eeac 100755
--- a/source/xap/MPlayer/MPlayer.SlackBuild
+++ b/source/xap/MPlayer/MPlayer.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/bash
# $Id: MPlayer.SlackBuild,v 1.27 2012/07/01 13:07:08 root Exp root $
# Copyright 2006, 2007, 2008, 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
-# Copyright 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2013, 2018, 2024 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -25,7 +25,7 @@
# Set initial variables:
PKGNAM=MPlayer
-VERSION=${VERSION:-20240127}
+VERSION=${VERSION:-20240130}
# Need to build trunk until there's a stable branch compatible with the
# latest ffmpeg stable release:
#BRANCH=${BRANCH:-1.3} # leave empty if you want to build MPlayer trunk
@@ -179,9 +179,6 @@ OUTPUT=${OUTPUT:-$TMP}
## --- with a little luck, you won't have to edit below this point --- ##
##
-# Exit the script on errors:
-set -e
-trap 'echo "$0 FAILED at line $LINENO!" | tee $OUTPUT/error-${PKGNAM}.log' ERR
# Catch unitialized variables:
set -u
P1=${1:-1}
@@ -210,7 +207,7 @@ for (( i = 0; i < ${#SOURCE[*]}; i++ )) ; do
else
# Try if we have a SVN/CVS download routine for ${SOURCE[$i]}
echo "Will checkout sources to $(dirname $SOURCE[$i])"
- src_checkout $i "${SOURCE[$i]}" 2>&1 > $OUTPUT/checkout-$(basename ${SOURCE[$i]}).log
+ src_checkout $i "${SOURCE[$i]}" || exit 1
fi
if [ ! -f "${SOURCE[$i]}" -o ! -s "${SOURCE[$i]}" ]; then
echo "File '$(basename ${SOURCE[$i]})' not available.. aborting the build."
@@ -232,11 +229,11 @@ echo "++"
cd $TMP/tmp-$PKGNAM
echo "Extracting the source archive(s) for $PKGNAM..."
-tar -xvf ${SOURCE[0]}
+tar -xvf ${SOURCE[0]} || exit 1
chown -R root:root *
chmod -R u+w,go+r-w,a+X-s *
-cd ${PKGNAM}-${VERSION}
+cd ${PKGNAM}-${VERSION} || exit 1
# Determine what X we're running (the modular X returns the prefix
# in the next command, while older versions stay silent):
@@ -251,9 +248,12 @@ else
DO_PATENTED=""
fi
-# fix building against samba 4
+# fix building against samba 4:
zcat $SRCDIR/include-samba-4.0.patch.gz | patch -p1 --verbose || exit 1
+# fix building against gettext-0.22.4:
+zcat $SRCDIR/po_charset.patch.gz | patch -p1 --verbose || exit 1
+
echo Building ...
# MPlayer wants to automatically determine compiler flags,
# so we don't provide CFLAGS.
@@ -271,8 +271,7 @@ echo Building ...
--codecsdir=${CODECSDIR} \
--language="${LANGUAGES}" \
${EXTRACONFIGUREOPTIONS} \
- ${DO_PATENTED} \
- 2>&1 | tee $OUTPUT/configure-${PKGNAM}.log
+ ${DO_PATENTED} || exit 1
# So that MPlayer does not report "UNKNOWN" as it's version:
if [ ! -f VERSION ]; then
@@ -286,17 +285,17 @@ if [ "$ARCH" = "i586" ]; then
sed -i "s/mtune=native/mtune=generic/g" config.mak
fi
-make $NUMJOBS 2>&1 | tee $OUTPUT/make-${PKGNAM}.log
-make DESTDIR=$PKG install 2>&1 |tee $OUTPUT/install-${PKGNAM}.log
+make $NUMJOBS || exit 1
+make DESTDIR=$PKG install || exit 1
# Build the html documentation (not all languages are available):
if [ "$LANGUAGES" = "all" ]; then
# make html-chunked
- make html-single
+ make html-single || exit 1
else
for i in $(echo $LANGUAGES | tr , ' ') ; do
# make html-chunked-$i ;
- make html-single-$i ;
+ make html-single-$i || exit 1
done
fi
@@ -377,12 +376,6 @@ mv $PKG/usr/doc/$PKGNAM-$PKGVERSION/HTML $PKG/usr/doc/$PKGNAM-$PKGVERSION/html
for i in etc/*.conf ; do
cp $i $PKG/usr/doc/$PKGNAM-$PKGVERSION/$(basename $i)-sample
done
-# Save a transcript of all configured options for this specific build:
-if [ -n $OUTPUT/configure-${PKGNAM}.log ]; then
- cat $OUTPUT/configure-${PKGNAM}.log \
- | sed -n "/^Config files successfully generated/,/^'config.h' and 'config.mak' contain your configuration options./p" \
- > $PKG/usr/doc/$PKGNAM-$PKGVERSION/${PKGNAM}.configuration
-fi
find $PKG/usr/doc -type f -exec chmod 644 {} \+
# Compress the man page(s):
@@ -404,9 +397,5 @@ fi
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PKGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txz 2>&1 | tee $OUTPUT/makepkg-${PKGNAM}.log
-cd $OUTPUT
-md5sum ${PKGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txz > ${PKGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txz.md5
-cd -
-cat $PKG/install/slack-desc | grep "^${PKGNAM}" > $OUTPUT/${PKGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txt
+makepkg --linkadd y --chown n $OUTPUT/${PKGNAM}-${PKGVERSION}-${ARCH}-${BUILD}${TAG}.txz
diff --git a/source/xap/MPlayer/po_charset.patch b/source/xap/MPlayer/po_charset.patch
new file mode 100644
index 000000000..4d7619071
--- /dev/null
+++ b/source/xap/MPlayer/po_charset.patch
@@ -0,0 +1,12 @@
+--- ./help/help_create_po.pl.orig 2024-01-30 14:09:03.000000000 -0600
++++ ./help/help_create_po.pl 2024-01-30 14:10:33.423012066 -0600
+@@ -56,6 +56,9 @@
+ open(po, "> $ARGV[1]") or die "Cannot open $ARGV[1]";
+
+ print po "# DO NOT EDIT - this file is generated from $ARGV[0]\n";
++print po "msgid \"\"\n";
++print po "msgstr \"\"\n";
++print po "\"Content-Type: text/plain; charset=UTF-8\"\n";
+
+ foreach my $id (keys %podefs)
+ {
diff --git a/source/xap/xine-lib/xine-lib.SlackBuild b/source/xap/xine-lib/xine-lib.SlackBuild
index 1f03f2619..f6b796fbc 100755
--- a/source/xap/xine-lib/xine-lib.SlackBuild
+++ b/source/xap/xine-lib/xine-lib.SlackBuild
@@ -32,7 +32,7 @@ DIRVER=1.2.13
# Version used for the Slackware package
PKGVER=1.2.13
-BUILD=${BUILD:-6}
+BUILD=${BUILD:-7}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then